%define rdnn_name org.gnome.Decibels
%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           decibels
Version:        48.0~alpha
Release:        1%{?dist}
Summary:        Audio Player for the GNOME Desktop

License:        GPL-3.0-or-later
URL:            https://www.gnome.org
Source0:        https://download.gnome.org/sources/%{name}/48/%{name}-%{tarball_version}.tar.xz

BuildRequires:  meson
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(blueprint-compiler)
BuildRequires:  pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  (npm(typescript) >= 5.7.3 with npm(typescript) < 5.8)
Requires:       hicolor-icon-theme
# Lacking typelib dependency generator, so use package names instead
Requires:       gtk4
Requires:       libadwaita
Requires:       gstreamer1-plugins-bad-free-libs
# Bundled gi-typescript-defs
Provides:       bundled(gi-typescript-definitions)

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n %{name}-%{tarball_version}


%conf
%meson


%build
%meson_build


%install
%meson_install

%find_lang %{rdnn_name}


%files -f %{rdnn_name}.lang
%license LICENCE
%doc README*
%{_bindir}/%{rdnn_name}
%{_datadir}/%{rdnn_name}/
%{_datadir}/applications/%{rdnn_name}.desktop
%{_datadir}/icons/hicolor/*/*/%{rdnn_name}*
%{_datadir}/metainfo/%{rdnn_name}.metainfo.xml
%{_datadir}/dbus-1/services/%{rdnn_name}.service


%changelog
* Tue Jan 14 2025 Neal Gompa <ngompa@fedoraproject.org> - 48.0~alpha-1
- Initial package
